SenseCrypt Docs
API ReferenceAdmin Scopes

Add Attributes

POST/v1/admin/scopes/{scope_id}/attributes

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

scope_id*Scope Id
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

POST body: attach (or upsert the required/ordering of) attributes on a scope. The membership editor sends the complete ordered member list.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/admin/scopes/497f6eca-6276-4993-bfeb-53cbbbba6f08/attributes" \  -H "Content-Type: application/json" \  -d '{    "items": [      {        "attribute_id": "ef88e6be-6132-42c9-abcd-a9aadce04df6"      }    ]  }'
{}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}